org.hibernate.search.engine.metadata.impl

## Class DocumentFieldPath

- java.lang.Object
- - org.hibernate.search.engine.metadata.impl.DocumentFieldPath

-     public final class DocumentFieldPath
      extends Object

  Author:
    Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentFieldPath(String prefix, String relativeName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getAbsoluteName()`
    `String` | `getPrefix()`
    `String` | `getRelativeName()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentFieldPath

          public DocumentFieldPath(String prefix,
                                   String relativeName)

  - ### Method Detail

    - #### getPrefix

          public String getPrefix()

      Returns:
        The concatenated indexed-embedded prefixes, or an empty string if there isn't any.

    - #### getRelativeName

          public String getRelativeName()

      Returns:
        The field name excluding any indexed-embedded prefix.

    - #### getAbsoluteName

          public String getAbsoluteName()

      Returns:
        The full field name, including any indexed-embedded prefix.

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `obj` is a `DocumentFieldPath` with the exact same absolute name, `false` otherwise.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved